package com.oqpo.api.mapper.stockmng;


import com.oqpo.api.entity.stockmng.BrandItemOdrDataMmEntity;
import com.oqpo.api.entity.stockmng.DmandFrcstCndtInfoEntity;
import com.oqpo.api.web.dto.request.stockmng.StatusDmandFrcstRequest;
import com.oqpo.api.web.dto.response.stockmng.StatusDmandFrcstData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DmandFrcstMapper {

    DmandFrcstCndtInfoEntity selectDmandFrcstCndtInfo(@Param("brandId") String brandId) throws Exception;

    int insertDmandFrcstCndtInfo(@Param("userId") String userId, DmandFrcstCndtInfoEntity entity) throws Exception;

    int updateDmandFrcstCndtInfo(@Param("userId") String userId, DmandFrcstCndtInfoEntity entity) throws Exception;

    StatusDmandFrcstData PC_DMAND_FRCST_VAL(StatusDmandFrcstRequest model);

    List<BrandItemOdrDataMmEntity> selectBrandItemOdrDataMmList(StatusDmandFrcstRequest model);

}
